Loading...
Searching...
No Matches
apr_thread_rwlock.h File Reference

APR Reader/Writer Lock Routines. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
Include dependency graph for apr_thread_rwlock.h:

Go to the source code of this file.

## Typedefs

typedef struct apr_thread_rwlock_t | apr_thread_rwlock_t

## Functions

apr_status_t | apr_thread_rwlock_create (apr_thread_rwlock_t **rwlock, apr_pool_t *pool)
apr_status_t | apr_thread_rwlock_rdlock (apr_thread_rwlock_t *rwlock)
apr_status_t | apr_thread_rwlock_tryrdlock (apr_thread_rwlock_t *rwlock)
apr_status_t | apr_thread_rwlock_wrlock (apr_thread_rwlock_t *rwlock)
apr_status_t | apr_thread_rwlock_trywrlock (apr_thread_rwlock_t *rwlock)
apr_status_t | apr_thread_rwlock_unlock (apr_thread_rwlock_t *rwlock)
apr_status_t | apr_thread_rwlock_destroy (apr_thread_rwlock_t *rwlock)
apr_pool_t * | apr_thread_rwlock_pool_get (const apr_thread_rwlock_t *thethread_rwlock)

## Detailed Description

APR Reader/Writer Lock Routines.